/**
 * Copyright (c) 2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.ant.task.monit.assertion.flowtree;

import org.ow2.petals.ant.task.monit.AbstractMonitTraceTest;

/**
 * Base class for all unit tests about flow trees assertions
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class AbstractAssertFlowTreesTest extends AbstractMonitTraceTest {

    // --------------------------------------------------------------------------------------
    // Flow instance identifiers of a flow tree coming from Petals BC Gateway processing
    // --------------------------------------------------------------------------------------
    protected static final String GW_ROOT_FLOW_INSTANCE_ID = "cbfbefc0-00c2-11e6-be0e-02429ab3a81b";

    protected static final String GW_INTERMEDIATE_FLOW_INSTANCE_ID = "a definir";

    protected static final String GW_FINAL_FLOW_INSTANCE_ID = "a definir";

    // --------------------------------------------------------------------------------------
    // Flow instance identifiers of a flow tree coming from Petals SE Activiti
    // --------------------------------------------------------------------------------------
    protected static final String ACTIVITI_CREATE_PROCESS_ROOT_FLOW_INSTANCE_ID = "9fd5c390-00c6-11e6-a4cd-02429ab3a81b";

    protected static final String ACTIVITI_PROCESS_INSTANCE_ROOT_FLOW_INSTANCE_ID = "à définir";

    protected static final String ACTIVITI_USER_TASK_ROOT_FLOW_INSTANCE_ID = "à définir";

    // Global stats
    protected static final int FLOW_TREES_NUMBER = 252;

}
